Несколько уязвимостей в Bugzilla

Дата публикации:
05.05.2008
Дата изменения:
07.05.2008
Всего просмотров:
870
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-2103
CVE-2008-2104
CVE-2008-2105
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Bugzilla 2.x
Bugzilla 3.x
Уязвимые версии: Bugzilla 2.x, 3.x

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и обойти некоторые ограничения безопасности.

1. Уязвимость существует из-за недостаточной обработки входных данных на страницах "Format for Printing" и "Long Format". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточного ограничения доступа к изменению состояния ошибки. Удаленный пользователь без привилегий "canconfirm" может с помощью XML-RPC интерфейса установить ошибке статус "NEW" или "ASSIGNED". Уязвимость существует в версии 3.1.3.

URL производителя: bugzilla.org

Решение: Установите последнюю версию 3.0.4, 3.1.4, 2.22.4 или 2.20.6 с сайта производителя.

или введите имя

CAPTCHA